/**
 * $Id: HLClientAdapter.java,v 1.1.1.1 2001/07/22 02:44:41 groomed Exp $
 *
 * Copyright (C) 1998-2001 groomed <groomed@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package pharerouge.hotline;

/**
 * Trivial implementation of HLClientListener. Subclass this
 * for an easy way to receive events. This event handler always
 * agrees to the agreement.
 */
public class HLClientAdapter implements HLClientListener {
    public void handleTransferQueuePosition(int ref, int position) {}
    public void handleFileInfo(int id, HLProtocol.FileInfo fi) {}
    public void handleAccountInfo(int id, HLProtocol.AccountInfo ac) {}
    public void handlePrivateChatJoin(int id, HLProtocol.UserListComponent[] uh) {}
    public void handlePrivateChatCreate(int pcref, int sock, String nick, int icon, int color) {}
    public void handlePrivateChatSubject(int pcref, String subject) {}
    public void handlePrivateChatUserLeave(int pcref, int sock) {}
    public void handlePrivateChatUserChange(int pcref, int sock, String nick, int icon, int color) {}
    public void handlePrivateChat(int pcref, String msg) {}
    public void handlePrivateChatInvite(int pcref, int sock, String nick) {}
    public void handleChat(String msg) {}
    public void handleAdministratorMessage(String msg) {}
    public void handleMessage(int sock, String nick, String msg) {}
    public void handleFileList(int id, HLProtocol.FileListComponent[] fh) {}
    public void handleUserList(int id, HLProtocol.UserListComponent[] uh) {}
    public void handleUserChange(int sock, String nick, int icon, int color) {}
    public void handleUserLeave(int sock) {}
    public void handleUserInfo(int id, String info) {}
    public void handleNews(int id, String msg) {}
    public void handleNewsPost(String msg) {}
    public boolean handleAgreement(String msg) { return true; }
    public void handleTaskComplete(int id) {}
    public void handleTaskError(int id, String error) {}
    public void handleDisconnect(String msg) {}
	
	/* Added 2002.02.28 MackyBee */
	public void handleServerName(String name) {}

	// 2003-03-06 Gardien added.
	public void handleVer() {}
}








